package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelOrderPrecheckRequest struct {
	/*
	   前置校验入参     */
	PreCheckRequest *domain.AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest `json:"pre_check_request" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckRequest) SetPreCheckRequest(v domain.AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest) *AlibabaTclsAelophyMerchantChannelOrderPrecheckRequest {
	s.PreCheckRequest = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelOrderPrecheckRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.PreCheckRequest != nil {
		paramMap["pre_check_request"] = util.ConvertStruct(*req.PreCheckRequest)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelOrderPrecheckRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
